# H225_SecurityErrors Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum

Choices {
e_securityWrongSyncTime, e_securityReplay, e_securityWrongGeneralID, e_securityWrongSendersID,
e_securityIntegrityFailed, e_securityWrongOID, e_securityDHmismatch, e_securityCertificateExpired,
e_securityCertificateDateInvalid, e_securityCertificateRevoked, e_securityCertificateNotReadable, e_securityCertificateSignatureInvalid,
e_securityCertificateMissing, e_securityCertificateIncomplete, e_securityUnsupportedCertificateAlgOID, e_securityUnknownCA
}

## Public Member Functions

| H225_SecurityErrors (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_SecurityErrors::Choices

Enumerator:

  e_securityWrongSyncTime |
  e_securityReplay |
  e_securityWrongGeneralID |
  e_securityWrongSendersID |
  e_securityIntegrityFailed |
  e_securityWrongOID |
  e_securityDHmismatch |
  e_securityCertificateExpired |
  e_securityCertificateDateInvalid |
  e_securityCertificateRevoked |
  e_securityCertificateNotReadable |
  e_securityCertificateSignatureInvalid |
  e_securityCertificateMissing |
  e_securityCertificateIncomplete |
  e_securityUnsupportedCertificateAlgOID |
  e_securityUnknownCA |

## Constructor & Destructor Documentation

H225_SecurityErrors::H225_SecurityErrors | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H225_SecurityErrors::CreateObject | ( |  | ) |

PObject* H225_SecurityErrors::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h